Skip to main content
PUT
/
v1
/
datasets
/
{dataset_id}
Update a dataset
curl --request PUT \
  --url https://api.dp1.us.honeyhive.ai/v1/datasets/{dataset_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "datapoints": [
    "<string>"
  ]
}
'
{
  "result": {
    "id": "<string>",
    "name": "<string>",
    "datapoints": [
      "<string>"
    ],
    "description": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
string
required

The unique identifier of the dataset to update like 663876ec4611c47f4970f0c3

Body

application/json

Request body for PUT /datasets/{dataset_id}

name
string

New dataset name

Maximum string length: 200
description
string

New dataset description

datapoints
string[]

Updated list of datapoint IDs

Minimum string length: 1

Response

200 - application/json

Successful update

Response for PUT /datasets

result
object
required